package com.weaver.seconddev.interfaces.workflow.message;

import com.linkage.netmsg.NetMsgclient;
import com.weaver.common.base.entity.result.WeaResult;
import com.weaver.esb.api.rpc.EsbServerlessRpcRemoteInterface;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.io.IOException;
import java.util.Map;

/**
 * @Author: calyrex
 * @CreateTime: 2025-07-01
 * @Description: 短信服务测试
 */

@Service("workflow_action_SmsTestAction")
@Slf4j
public class SmsTestAction implements EsbServerlessRpcRemoteInterface {

    private NetMsgclient client = null;
    @Override
    public WeaResult<Map<String, Object>> execute(Map<String, Object> params) {
        String bs = String.valueOf(params.getOrDefault("bs", -1));
        String fsr = String.valueOf(params.getOrDefault("fsr", -1));
        String jsr = String.valueOf(params.getOrDefault("jsr", -1));
        String nr = String.valueOf(params.getOrDefault("nr", -1));
        log.info("bs:"+bs+" fsr:"+fsr+" jsr:"+jsr+" nr:"+nr);
        client = new NetMsgclient();
        ReceiveDemo receiveDemo = new ReceiveDemo();
        client = client.initParameters("202.102.41.101", 9005, "0512C00119026", "htjt6800", receiveDemo);
        try {
            client.anthenMsg(client);
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
        String str = client.sendMsg(client, 1, "1585856015", "test", 1);
        log.info("str====="+str);
        client.closeConn();
        return WeaResult.success();
    }
}
